Bug Hunting Session
Bug 116850 - The Undo command does not undo parts of the changes made by setting a DataArray from user code.
Summary: The Undo command does not undo parts of the changes made by setting a DataArr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: notBibisectable, regression
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2018-04-06 17:16 UTC by Wolfgang Jäger
Modified: 2019-04-16 02:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
The example announced in my report (15.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-04-06 17:17 UTC, Wolfgang Jäger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Jäger 2018-04-06 17:16:01 UTC
Description:
Generally changes made by execution of user code are subject to the Undo command. This also applies if the DataArray of a CellRange is set from BASIC.
However, if by such an action cells that previously were blank get content, the action is not undone insofar. 
Even more clearly: Calling Undo (Ctrl+Z) after setting a DataArray by user code previous content that was changed by myRange.SetDataArray() is reinstated. Cells that were blank previously retain the content they got by the action.

Steps to Reproduce:
1. Open the attached example and permit macros.
2. Perform the steps precisely described there.


Actual Results:  
As already described.

Expected Results:
As already described.


Reproducible: Always


User Profile Reset: No



Additional Info:
Is this form new? I don't like it. 
For all the bugs I reported in the last few years I used a much simpler procedure, and was able to attach my demo file at the same time.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Wolfgang Jäger 2018-04-06 17:17:26 UTC
Created attachment 141172 [details]
The example announced in my report
Comment 2 Wolfgang Jäger 2018-04-06 17:22:46 UTC
The bug is a (old) regression. It is not heritage and does neither show in V 3.3. of LibreOffice nor in Apache OpenOffice till the current V 4.1.5. The oldest version above 3.3. I could test with was 3.5.2. There the bug is already "implemented".
Comment 3 Buovjaga 2018-04-15 17:32:33 UTC
Repro with file.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: c8c74a0b4ca6f3a3619f423b6548c80c52392ae0
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 15th 2018
Comment 4 QA Administrators 2019-04-16 02:53:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug